<div class="container">
    <div class='reg'>Purchase Detail</div>
    <form [formGroup]="bikeform" (ngSubmit)="submitRegistration()" novalidate>
      <div *ngIf="validMessage != ''">
        <h3 class="has-info">{{validMessage}}</h3>
      </div>
      <div class="form-group content">
        <input type="text" class="form-control" formControlName="name" placeholder="Full Name" required autofocus/>
      </div>
      <div class="form-group content">
        <input type="email" class="form-control" formControlName="email" placeholder="Email Id" required/>
      </div>
      <div class="form-group content">
        <input type="text" class="form-control" formControlName="phone" placeholder="Contact Number" required/>
      </div>
      <div class="form-group content">
        <select class="form-control" formControlName="model" required>
          <option value="">Please select a Bike model</option>
          <option *ngFor="let m of models"
                  [value]="m">
                  {{m}}
          </option>
        </select>
      </div>
      <div class="form-group content">
        <input type="text" class="form-control" formControlName="serialNumber" placeholder="Bike Serial Number" required/>
      </div>
      <div class="form-group content">
        <input type="text" class="form-control" formControlName="purchasePrice" placeholder="Purchase Price" required/>
      </div>
      <div class="form-group content">
        <input type="text" class="form-control" formControlName="purchaseDate" placeholder="Purchase Date" required/>
      </div>
  
      <button type="submit" class="btn btn-primary saveBtn regBtn" >Register</button>
      <button type="submit" class="btn btn-primary saveBtn listBtn" routerLink="/admin">List</button>
    </form>
  </div>